summaryrefslogtreecommitdiffstats
path: root/graphics/graph-easy/graph-easy.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/graph-easy/graph-easy.SlackBuild')
-rw-r--r--graphics/graph-easy/graph-easy.SlackBuild28
1 files changed, 22 insertions, 6 deletions
diff --git a/graphics/graph-easy/graph-easy.SlackBuild b/graphics/graph-easy/graph-easy.SlackBuild
index fb56a9660a..3952670358 100644
--- a/graphics/graph-easy/graph-easy.SlackBuild
+++ b/graphics/graph-easy/graph-easy.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for graph-easy
@@ -16,11 +16,17 @@
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+# 20230629 bkw: modified by SlackBuilds.org, BUILD=3: get rid of .packlist
+# 20230304 bkw: modified by SlackBuilds.org, BUILD=2: get rid of perllocal.pod
+
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=graph-easy
SRCNAM=Graph-Easy
VERSION=${VERSION:-0.76}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -30,7 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -60,9 +73,9 @@ cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} + -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
perl Makefile.PL \
PREFIX=/usr \
@@ -78,6 +91,9 @@ for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; r
find $PKG -depth -type d -empty -delete || true
+# 20230304 bkw: nope.
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README TODO CHANGES LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -86,4 +102,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE